<!--  -->
<template>
	<div class="titlebox">
		<div class="left">
			<slot name="left"></slot>
			<div class="title-icon"></div>
			<span class="title">{{ title }}</span>
		</div>
		<div class="right">
			<slot name="right"></slot>
		</div>
	</div>
</template>

<script>
export default {
	name: 'titleBox',
	components: {},
	props: {
		title: String,
	},
	data() {
		return {};
	},
	created() {},
	mounted() {},
	computed: {},
	watch: {},
	methods: {},
};
</script>
<style scoped>
.titlebox {
	display: flex;
	justify-content: space-between;
	height: 40px;
	line-height: 40px;
	align-items: center;
}
.titlebox .left {
	display: flex;
	align-items: center;
}
.titlebox .left .title {
	color: #191919;
	font-weight: 600;
	font-size: 16px;
	line-height: 22px;
	display: inline-block;
}

.titlebox .right {
	flex: 1;
	text-align: right;
	padding-right: 5px;
}
.title-icon {
	width: 20px;
	height: 20px;
	background: #d8e8ff;
	position: relative;
	margin-right: 5px;
}
.title-icon:before {
	content: ' ';
	display: block;
	width: 8px;
	height: 9px;
	background: #3c8efd;
	position: absolute;
	bottom: 0;
}
</style>
